# In all environments, the following files are loaded if they exist,
# the latter taking precedence over the former:
#
#  * .env                contains default values for the environment variables needed by the app
#  * .env.local          uncommitted file with local overrides
#  * .env.$APP_ENV       committed environment-specific defaults
#  * .env.$APP_ENV.local uncommitted environment-specific overrides
#
# Real environment variables win over .env files.
#
# DO NOT DEFINE PRODUCTION SECRETS IN THIS FILE NOR IN ANY OTHER COMMITTED FILES.
#
# Run "composer dump-env prod" to compile .env files for production use (requires symfony/flex >=1.2).
# https://symfony.com/doc/current/best_practices.html#use-environment-variables-for-infrastructure-configuration
KERNEL_CLASS='App\Kernel'

###> symfony/framework-bundle ###
APP_ENV=dev
APP_SECRET=c6e7bfe5be004851fa684efa39545a57
###< symfony/framework-bundle ###

###> doctrine/doctrine-bundle ###
# Format described at https://www.doctrine-project.org/projects/doctrine-dbal/en/latest/reference/configuration.html#connecting-using-a-url
# IMPORTANT: You MUST configure your server version, either here or in config/packages/doctrine.yaml

# DATABASE_URL="mysql://switcho:switcho@mysql:3306/switcho?serverVersion=5.7"
DATABASE_URL="mysql://root:switcho@mysql:3306/switcho?serverVersion=5.7"
# DATABASE_URL="mysql://switcho:switcho@localhost:3306/switcho?serverVersion=5.7" # no such file or directory
# DATABASE_URL="mysql://switcho:root@127.0.0.1:3306/switcho?serverVersion=5.7" # connection regused

###< doctrine/doctrine-bundle ###
